package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJC9 extends MwfRequest<MWFJC9, MWFJC9Response> {

    @Parameter(name = "APPLICANT")
    MWFJC9 applicant(String applicant);
    @Parameter(name = "APPLICANTGROUP")
    MWFJC9 applicantgroup(String applicantgroup);
    @Parameter(name = "ATTRIBUTE1")
    MWFJC9 attribute1(String attribute1);
    @Parameter(name = "ATTRIBUTE10")
    MWFJC9 attribute10(String attribute10);
    @Parameter(name = "ATTRIBUTE11")
    MWFJC9 attribute11(String attribute11);
    @Parameter(name = "ATTRIBUTE12")
    MWFJC9 attribute12(String attribute12);
    @Parameter(name = "ATTRIBUTE13")
    MWFJC9 attribute13(String attribute13);
    @Parameter(name = "ATTRIBUTE14")
    MWFJC9 attribute14(String attribute14);
    @Parameter(name = "ATTRIBUTE15")
    MWFJC9 attribute15(String attribute15);
    @Parameter(name = "ATTRIBUTE16")
    MWFJC9 attribute16(String attribute16);
    @Parameter(name = "ATTRIBUTE17")
    MWFJC9 attribute17(String attribute17);
    @Parameter(name = "ATTRIBUTE18")
    MWFJC9 attribute18(String attribute18);
    @Parameter(name = "ATTRIBUTE19")
    MWFJC9 attribute19(String attribute19);
    @Parameter(name = "ATTRIBUTE2")
    MWFJC9 attribute2(String attribute2);
    @Parameter(name = "ATTRIBUTE20")
    MWFJC9 attribute20(String attribute20);
    @Parameter(name = "ATTRIBUTE3")
    MWFJC9 attribute3(String attribute3);
    @Parameter(name = "ATTRIBUTE4")
    MWFJC9 attribute4(String attribute4);
    @Parameter(name = "ATTRIBUTE5")
    MWFJC9 attribute5(String attribute5);
    @Parameter(name = "ATTRIBUTE6")
    MWFJC9 attribute6(String attribute6);
    @Parameter(name = "ATTRIBUTE7")
    MWFJC9 attribute7(String attribute7);
    @Parameter(name = "ATTRIBUTE8")
    MWFJC9 attribute8(String attribute8);
    @Parameter(name = "ATTRIBUTE9")
    MWFJC9 attribute9(String attribute9);
    @Parameter(name = "BIRTHNUMBER")
    MWFJC9 birthnumber(String birthnumber);
    @Parameter(name = "BRANCHID")
    MWFJC9 branchid(String branchid);
    @Parameter(name = "BUSSTATE")
    MWFJC9 busstate(String busstate);
    @Parameter(name = "CALENDARTYPE")
    MWFJC9 calendartype(Long calendartype);
    @Parameter(name = "CLIENTID")
    MWFJC9 clientid(String clientid);
    @Parameter(name = "CLIENTIDTYPE")
    MWFJC9 clientidtype(String clientidtype);
    @Parameter(name = "COMPANY")
    MWFJC9 company(String company);
    @Parameter(name = "COUNTOFOCCURENCES")
    MWFJC9 countofoccurences(Long countofoccurences);
    @Parameter(name = "COUNTOFSUBTASKS")
    MWFJC9 countofsubtasks(Long countofsubtasks);
    @Parameter(name = "CRC_POZADAVEKPOZNAMKA")
    MWFJC9 crcPozadavekpoznamka(String crcPozadavekpoznamka);
    @Parameter(name = "CRC_POZADAVEKTYP")
    MWFJC9 crcPozadavektyp(String crcPozadavektyp);
    @Parameter(name = "CRC_RESENIPOZNAMKA")
    MWFJC9 crcResenipoznamka(String crcResenipoznamka);
    @Parameter(name = "CRC_RESENITYP")
    MWFJC9 crcResenityp(String crcResenityp);
    @Parameter(name = "DATEFORMANUALNOTIFICATION")
    MWFJC9 dateformanualnotification(java.util.Date dateformanualnotification);
    @Parameter(name = "DAYOFWAKEUP")
    MWFJC9 dayofwakeup(String dayofwakeup);
    @Parameter(name = "EMAILOFRECEIVER")
    MWFJC9 emailofreceiver(String emailofreceiver);
    @Parameter(name = "EMAILOFSENDER")
    MWFJC9 emailofsender(String emailofsender);
    @Parameter(name = "EMAILSUBJECT")
    MWFJC9 emailsubject(String emailsubject);
    @Parameter(name = "ENDDATEOFRECURRENCE")
    MWFJC9 enddateofrecurrence(java.util.Date enddateofrecurrence);
    @Parameter(name = "HIDEFROMCLIENT")
    MWFJC9 hidefromclient(Boolean hidefromclient);
    @Parameter(name = "ICO")
    MWFJC9 ico(String ico);
    @Parameter(name = "KINDOFTASK")
    MWFJC9 kindoftask(String kindoftask);
    @Parameter(name = "OBJECTID")
    MWFJC9 objectid(String objectid);
    @Parameter(name = "OBJECTIDTYPE")
    MWFJC9 objectidtype(String objectidtype);
    @Parameter(name = "OUTERSOLVER")
    MWFJC9 outersolver(String outersolver);
    @Parameter(name = "PARENTID")
    MWFJC9 parentid(String parentid);
    @Parameter(name = "PRIORITY")
    MWFJC9 priority(String priority);
    @Parameter(name = "PROCESSINGDATE")
    MWFJC9 processingdate(java.util.Date processingdate);
    @Parameter(name = "PROCESSINGDAYSLIMIT")
    MWFJC9 processingdayslimit(Long processingdayslimit);
    @Parameter(name = "PROCESSINGTIMELIMIT")
    MWFJC9 processingtimelimit(Long processingtimelimit);
    @Parameter(name = "RECURRENCEPATTERN")
    MWFJC9 recurrencepattern(String recurrencepattern);
    @Parameter(name = "REPEATINGTASK")
    MWFJC9 repeatingtask(Boolean repeatingtask);
    @Parameter(name = "REPEATINGTASKID")
    MWFJC9 repeatingtaskid(String repeatingtaskid);
    @Parameter(name = "REQUESTEDDATE")
    MWFJC9 requesteddate(java.util.Date requesteddate);
    @Parameter(name = "REQUESTEDDAYSLIMIT")
    MWFJC9 requesteddayslimit(Long requesteddayslimit);
    @Parameter(name = "RESOLVER")
    MWFJC9 resolver(String resolver);
    @Parameter(name = "RESOLVERSGROUP")
    MWFJC9 resolversgroup(String resolversgroup);
    @Parameter(name = "RESULTINGDATE")
    MWFJC9 resultingdate(java.util.Date resultingdate);
    @Parameter(name = "SEGMENT")
    MWFJC9 segment(String segment);
    @Parameter(name = "SENDEMAIL")
    MWFJC9 sendemail(Long sendemail);
    @Parameter(name = "SEQUENTIALNUMBER")
    MWFJC9 sequentialnumber(Long sequentialnumber);
    @Parameter(name = "SETESCALATION")
    MWFJC9 setescalation(Boolean setescalation);
    @Parameter(name = "SETREQUESTEDDATEFORESCALATION")
    MWFJC9 setrequesteddateforescalation(Boolean setrequesteddateforescalation);
    @Parameter(name = "SOURCESYSTEM")
    MWFJC9 sourcesystem(String sourcesystem);
    @Parameter(name = "STARTDATEOFRECURRENCE")
    MWFJC9 startdateofrecurrence(java.util.Date startdateofrecurrence);
    @Parameter(name = "TASKCATEGORY")
    MWFJC9 taskcategory(String taskcategory);
    @Parameter(name = "TASKDESCRIPTION")
    MWFJC9 taskdescription(String taskdescription);
    @Parameter(name = "TASKENDDATE")
    MWFJC9 taskenddate(java.util.Date taskenddate);
    @Parameter(name = "TASKESCALATIONEMAIL")
    MWFJC9 taskescalationemail(String taskescalationemail);
    @Parameter(name = "TASKID")
    MWFJC9 taskid(String taskid);
    @Parameter(name = "TASKNAME")
    MWFJC9 taskname(String taskname);
    @Parameter(name = "TASKNOTIFICATIONEMAIL")
    MWFJC9 tasknotificationemail(String tasknotificationemail);
    @Parameter(name = "TASKSTARTDATE")
    MWFJC9 taskstartdate(java.util.Date taskstartdate);
    @Parameter(name = "TASKSUBCATEGORY")
    MWFJC9 tasksubcategory(String tasksubcategory);
    @Parameter(name = "TASKTYPE")
    MWFJC9 tasktype(String tasktype);
    @Parameter(name = "TMSGROUPID")
    MWFJC9 tmsgroupid(String tmsgroupid);
    @Parameter(name = "USERFLAG")
    MWFJC9 userflag(Long userflag);
    @Parameter(name = "USERSCHOICE")
    MWFJC9 userschoice(String userschoice);
    @Parameter(name = "VERIFYINGTIME")
    MWFJC9 verifyingtime(Long verifyingtime);
    @Parameter(name = "VERIFYINGUSER")
    MWFJC9 verifyinguser(String verifyinguser);
    @Parameter(name = "WAKEUPTIME")
    MWFJC9 wakeuptime(java.util.Date wakeuptime);
    @Parameter(name = "WORKINGTIMEFROM")
    MWFJC9 workingtimefrom(Long workingtimefrom);
    @Parameter(name = "WORKINGTIMETO")
    MWFJC9 workingtimeto(Long workingtimeto);
}
